# flatredball-glue-exportedinterfaces-iprojectcommands-makeabsolute

### Introduction

The MakeAbsolute method takes a relative file name and makes it absolute. If the file is a content file, then the relative path is considered relative to the content project. If the file is a code file, then the relative path is considered relative to the code project.

### Code Example

The following will obtain the absolute folder for the currently-selected element (Screen or Entity):

```
var currentElement = GlueState.Self.CurrentElement;

if(currentElement != null)
{
    var elementNode = GlueState.Self.Find.ScreenTreeNode(screen);

    var folderNode = elementNode.FilesTreeNode;

    string relativePath = folderNode.GetRelativePath();

    bool isContent = true;

    string absolutePath = GlueCommands.Self.ProjectCommands.MakeAbsolute(
        relativePath, isContent);

    // do something with absolutePath here:
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-iprojectcommands-makeabsolute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
